Convert All Selected Linked Elements to Parts

It was just random for debugging purposes. I believe the CreateParts method returns null. If you need to return the parts, I think you have to use PartUtils.GetAssociatedParts()

Yes, the script would be even easier if you can get the elements from an IN-port. Just replace the filtered element collector with IN[1] or something similar. Here is a modified version of the script:

import clr

clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

clr.AddReference('System')
from System.Collections.Generic import List

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

#Preparing input from dynamo to revit
link = UnwrapElement(IN[0])
elements = UnwrapElement(IN[1])

#Create a genereic list for the elements
eList = List[LinkElementId]()
for e in elements:
	eList.Add(LinkElementId(link.Id,e.Id))

#All actions that makes changes to the Revit database needs to be inside a Transaction
TransactionManager.Instance.EnsureInTransaction(doc)

createparts = PartUtils.CreateParts(doc, eList)
doc.Regenerate()
TransactionManager.Instance.TransactionTaskDone()

OUT = []

for id in eList:
	partIDs=PartUtils.GetAssociatedParts(doc, id, 0, 0)
	OUT.append(partIDs)